Entities
The Entity object
idstringoptionalPublic entity identifier.
internal_idstringoptionalOptional internal identifier for the entity.
namestringoptionalDisplay name for the entity.
typestringoptionalEntity type.
payloadstringoptionalPublic ID of the payload attached to the entity.
destinationstringoptionalPublic ID of the destination place.
customerobjectoptionalCustomer contact or vendor associated with the entity.
supplierobjectoptionalSupplier associated with the entity, when loaded.
tracking_numberobjectoptionalTracking number resource generated for the entity.
descriptionstringoptionalHuman-readable entity description.
photo_urlstringoptionalPhoto URL associated with the entity.
lengthnumberoptionalEntity length.
widthnumberoptionalEntity width.
heightnumberoptionalEntity height.
dimensions_unitstringoptionalUnit for length, width, and height.
weightnumberoptionalEntity weight.
weight_unitstringoptionalUnit for weight.
declared_valuecurrencyoptionalDeclared value of the entity.
pricecurrencyoptionalPrice of the entity.
sale_pricecurrencyoptionalSale price of the entity.
skustringoptionalStock keeping unit for the entity.
currencycurrencyoptionalThree-letter currency code for monetary fields.
metaobjectoptionalAdditional entity metadata.
updated_attimestampoptionalTimestamp when the entity was last updated.
created_attimestampoptionalTimestamp when the entity was created.
{
"id": "entity_4Mnp8Qx2Vz",
"internal_id": "ENTITY001",
"name": "Sample Entity",
"type": "parcel",
"payload": "payload_x9Z2Lm8QpA",
"destination": "place_9Z8y7X6w5V",
"customer": null,
"tracking_number": {
"id": "tracking_3Nf8Qw2YxM",
"tracking_number": "FB-ENTITY-1001"
},
"description": "Sample description",
"photo_url": null,
"length": 10,
"width": 5,
"height": 8,
"dimensions_unit": "mm",
"weight": 2.5,
"weight_unit": "kg",
"declared_value": 1500,
"price": 1200,
"sale_price": 900,
"sku": "SKU123",
"currency": "USD",
"meta": {},
"updated_at": "2026-05-07T08:30:00.000000Z",
"created_at": "2026-05-07T08:30:00.000000Z"
}/v1/entitiesCreate an Entity
Creates an entity such as a parcel, package, or item. Attach it to a payload and optionally set a destination or waypoint within that payload route.
namestringrequiredDisplay name for the entity.
typestringrequiredEntity type, such as parcel, package, or another application-defined type.
internal_idstringoptionalOptional internal identifier for the entity.
descriptionstringoptionalHuman-readable entity description.
payloadstringoptionalPayload ID to attach the entity to. Required when destination or waypoint is supplied.
destinationstringoptionalPlace ID within the payload route to use as the entity destination.
waypointstringoptionalAlias for destination; resolves a place within the payload route.
customerstringoptionalContact or vendor ID to assign as the entity customer.
driverstringoptionalDriver ID to associate with the entity.
emailstringoptionalContact email associated with the entity.
weightnumberoptionalEntity weight.
weight_unitenumoptionalUnit for weight. Required when weight is supplied. One of g, oz, lb, kg.
lengthnumberoptionalEntity length.
widthnumberoptionalEntity width.
heightnumberoptionalEntity height.
dimensions_unitenumoptionalUnit for length, width, and height. Required when dimensions are supplied. One of cm, in, ft, mm, m, yd.
declared_valuecurrencyoptionalDeclared value of the entity.
pricecurrencyoptionalPrice of the entity.
sale_pricecurrencyoptionalSale price of the entity.
skustringoptionalStock keeping unit for the entity.
currencycurrencyoptionalThree-letter currency code for monetary fields.
metaobjectoptionalAdditional entity metadata.
/v1/entitiescurl -X POST https://api.fleetbase.io/v1/entities \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"name": "SampleEntity",
"type": "parcel",
"payload": "{{payload_id}}",
"customer": "ACustomer",
"internal_id": "ENTITY001",
"description": "Sample description",
"meta": {
"warehouse_bin": "1",
"warehouse_rack": "3",
"warehouse_section": "4"
},
"weight": 2.5,
"weight_unit": "kg",
"length": 10,
"width": 5,
"height": 8,
"dimensions_unit": "mm",
"declared_value": 1500,
"price": 1200,
"sale_price": 900,
"sku": "SKU123",
"currency": "USD"
}'{}/v1/entitiesQuery Entities
Returns entities for the current company. Use filters such as type, payload, or destination to narrow the result set.
limitintegeroptionalMaximum number of entities to return.
offsetintegeroptionalNumber of entities to skip before returning results.
sortstringoptionalSort expression for the entity query.
typestringoptionalFilters entities by entity type.
payloadstringoptionalFilters entities by payload ID.
destinationstringoptionalFilters entities by destination place ID.
/v1/entitiescurl https://api.fleetbase.io/v1/entities?limit=25&offset=0&sort=created_at&type=parcel \
-H "Authorization: Bearer flb_live_…"/v1/entities/:idRetrieve an Entity
Retrieve an Entity.
/v1/entities/:idcurl https://api.fleetbase.io/v1/entities/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"{
"id": "<string>",
"payload": "<string>",
"tracking_number": "<string>",
"customer": "<string>",
"internal_id": "<string>",
"name": "<string>",
"type": "<string>",
"description": "<string>",
"currency": "<string>",
"weight": "<number>",
"weight_unit": "<string>",
"length": "<number>",
"width": "<number>",
"height": "<number>",
"dimensions_unit": "<string>",
"declared_value": "<number>",
"sku": "<string>",
"price": "<number>",
"sale_price": "<number>",
"meta": [],
"updated_at": "<string>",
"created_at": "<string>"
}/v1/entities/:idUpdate a Entity
Updates an entity's descriptive fields, payload assignment, destination, dimensions, weight, pricing, or metadata.
namestringoptionalDisplay name for the entity.
typestringoptionalEntity type.
internal_idstringoptionalOptional internal identifier for the entity.
descriptionstringoptionalHuman-readable entity description.
payloadstringoptionalPayload ID to attach the entity to.
destinationstringoptionalPlace ID within the payload route to use as the entity destination.
waypointstringoptionalAlias for destination; resolves a place within the payload route.
customerstringoptionalContact or vendor ID to assign as the entity customer.
driverstringoptionalDriver ID to associate with the entity.
weightnumberoptionalEntity weight.
weight_unitenumoptionalUnit for weight. One of g, oz, lb, kg.
lengthnumberoptionalEntity length.
widthnumberoptionalEntity width.
heightnumberoptionalEntity height.
dimensions_unitenumoptionalUnit for length, width, and height. One of cm, in, ft, mm, m, yd.
declared_valuecurrencyoptionalDeclared value of the entity.
pricecurrencyoptionalPrice of the entity.
sale_pricecurrencyoptionalSale price of the entity.
skustringoptionalStock keeping unit for the entity.
currencycurrencyoptionalThree-letter currency code for monetary fields.
metaobjectoptionalAdditional entity metadata.
/v1/entities/:idcurl -X PUT https://api.fleetbase.io/v1/entities/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-d '{
"internal_id": "ENTITY001-1",
"description": "New entity description",
"destination": "",
"sku": "SKUABC123",
"currency": "SGD"
}'{}/v1/entities/:idDelete a Entity
Delete an Entity.
/v1/entities/:idcurl -X DELETE https://api.fleetbase.io/v1/entities/:id \
-H "Authorization: Bearer flb_live_…" \
-H "Accept: application/json"{
"deleted": "<boolean>",
"id": "<string>"
}